Single Image/First-Last Frame/Reference Frame to Video VQ1
/api/v1/video/generationHeader Parameters
Format: Authorization: Bearer sk-xxxxxx
Request Body
application/json
Fixed value i2v
Model name, supported: viduq1
Image Information (Image-to-Video only)
Image Link
First and Last Frame Image Information (Only supported for first-and-last-frame video generation)
First Frame Image Information
Image Link
Last Frame Image Information
Image Link
Reference image information, supporting up to seven images (only supported for reference frame-to-video generation)
Image Link
Generated prompt text
Video duration, in seconds, supported: 5
Resolution, supported: 1080p
Random Seed
Aspect ratio, default 16:9, supported: 16:9 / 9:16 / 1:1
Motion amplitude, optional, defaults to auto, supported values: auto, small, medium, large
Whether to enable audio, default is false (supported only for image-to-video). false: Direct audio-video output is not required; outputs a silent video. true: Direct audio-video output is required; outputs a video with dialogue and background audio.
Whether to enable background music, default is false
Response Body
application/json
Success
TypeScript Definitions
Use the response body type in TypeScript.
Status Code
Data Object
Result Set
Usage Information
Number of Images
Video Duration in Seconds
Input Token Count
Total Tokens
Output Token Count
Validity Period
Task ID
Task Status
Status Information
Request ID
curl -X POST "https://api.ygw.ai/api/v1/video/generation" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{ "_action": "string", "model": "string", "prompt": "string" }'{
"code": 0,
"data": {
"urls": [
"string"
],
"usage": {
"images": 0,
"seconds": 0,
"input_tokens": 0,
"total_tokens": 0,
"output_tokens": 0
},
"expired": "string",
"task_id": "string",
"task_status": "string"
},
"message": "string",
"request_id": "string"
}